"""
RunPod | API Wrapper | Queries | GPUs
"""

QUERY_POD = """
query myPods {{
    myself {{
        pods {{
            id
            containerDiskInGb
            costPerHr
            desiredStatus
            dockerArgs
            dockerId
            env
            gpuCount
            imageName
            lastStatusChange
            machineId
            memoryInGb
            name
            podType
            port
            ports
            uptimeSeconds
            vcpuCount
            volumeInGb
            volumeMountPath
            machine {{
                gpuDisplayName
            }}
        }}
    }}
}}
"""

def generate_pod_query(pod_id):
    '''
    Generate a query for a specific GPU type
    '''

    return f"""
    query pod {{
        pod(input: {{podId: "{pod_id}"}}) {{
            id
            containerDiskInGb
            costPerHr
            desiredStatus
            dockerArgs
            dockerId
            env
            gpuCount
            imageName
            lastStatusChange
            machineId
            memoryInGb
            name
            podType
            port
            ports
            uptimeSeconds
            vcpuCount
            volumeInGb
            volumeMountPath
            machine {{
                gpuDisplayName
            }}
        }}
    }}
    """
